Name:          argparse4j
Version:       0.6.0
Release:       7%{?dist}
Summary:       The command-line parser library based on Python's argparse
# files with ASL 2.0 src/main/java/net/sourceforge/argparse4j/impl/type/FileArgumentType.java
# src/main/java/net/sourceforge/argparse4j/internal/TerminalWidth.java
License:       ASL 2.0 and MIT
URL:           http://argparse4j.sourceforge.net
Source0:       https://github.com/tatsuhiro-t/argparse4j/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: %{_bindir}/sphinx-build

BuildArch:     noarch

%description
Java port of Python's famous argparse command-line argument parser.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package docs
Summary:       Documentation for %{name}
Requires:      %{name}-javadoc = %{version}-%{release}

%description docs
Documentation for the %{name} library.

%prep
%setup -q -n %{name}-%{name}-%{version}

%pom_remove_plugin :exec-maven-plugin
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin org.sonatype.plugins:nexus-staging-maven-plugin

%mvn_file : %{name}

%build

%mvn_build

cd src/site/sphinx
%{__make} %{?_smp_mflags} html PACKAGE_VERSION=%{version}
rm -r _build/html/.buildinfo
rm -r _build/html/_static/jquery.js
rm -r _build/html/_static/underscore.js

%install
%mvn_install

sed -i "s|apidocs/|%{_javadocdir}/%{name}/|" $(find src/site/sphinx/_build/html/ -name "*.html")

%files -f .mfiles
%doc NEWS README.rst
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%files docs
%doc src/site/sphinx/_build/html/
%license LICENSE.txt

%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Apr 10 2016 gil cattaneo <puntogil@libero.it> 0.6.0-1
- update to 0.6.0

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 29 2015 gil cattaneo <puntogil@libero.it> 0.4.4-3
- introduce license macro

* Sat Jan 24 2015 gil cattaneo <puntogil@libero.it> 0.4.4-2
- fix license field
- remove bundled jquery

* Fri Jan 16 2015 gil cattaneo <puntogil@libero.it> 0.4.4-1
- update to 0.4.4

* Tue Mar 04 2014 gil cattaneo <puntogil@libero.it> 0.4.3-1
- initial rpm
